Ubuntu

kubuntu Karmic can't output sound at the same time

Reported by Yunkwan on 2009-10-10
54
This bug affects 9 people
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Undecided
Unassigned
Nominated for Karmic by Julien Aubin

Bug Description

OS: Kubuntu Karmic (updated to the latest) i386
sound can't be output by different programmes at the same time.

1. Juk(Amarok, Dragon Player) is playing music. If I use smplayer to play a movie(avi), then no sound from smplayer. I have to quit both Juk(Amarok, Dragon Player) and Smplayer, then play the movei with smplayer again to get the sound with the movie.

2. Smplayer is player a movie with sound. If I run Juk(Amarok, Dragon Player), no sound from these programs.

3. Kmplayer, Smplayer, Mplayer cant both play movies at the same time with different sounds from each of them.

4. Juk is palying music. If I use Dragon Player to play a movie, I get not sound from Dragon Player. The notification pop up and say: "audio playback device HDA INTEL ALC262 analog does not work, fallback to." Actually it fallback to nothing that works. I checked the Multimedia (in system setting) , I got "HDA Intel (ALC262 Analog)" & "PulseAudio" these two Output Device Preference in the all the Audio Output Categories. "PulseAudio" doesn't work when I click "test" button, it'll automatically fallback to HDA Intel (ALC262 Analog). (when I click the test button to test, I can hear that there's a delay and a bit noise at the beginning)

5. If I'm using any application that plays sound, clicking the "test" button gets no sound.

6. Juk is playing music, there's no sound for Kopete notification.

Let me know, if you need further informations.

I guess there's a problem from pulseaudio.

affects: ubuntu → pulseaudio (Ubuntu)
Julien Aubin (gojulgarbmail) wrote :

Same issue there. This bug is extremely annoying.

Another side effect :
Open a Flash movie under Firefox while Amarok is playing music -> Leads to a crash of Firefox.

Changed in pulseaudio (Ubuntu):
status: New → Confirmed
Julien Aubin (gojulgarbmail) wrote :

Nominated this bug for release as this is unacceptable for the average user to encounter this kind of issue. Other parts of Kubuntu works, but one cannot accept that Firefox will crash while one is watching movie because some other program has just displayed some kind of notification.

Julien Aubin (gojulgarbmail) wrote :

I noticed that one can greatly improve situation by performing command :
rm -rf ~/.pulse*
Explanation : delete all the old PulseAudio settings.

Now when listening to something that uses PulseAudio, sound automatically fall backs to the plain old crappy ESD, which everyone hates but which at least works without any problem.

Now the issue remains in case of upgrade, like it was for me.

The issue at hand is actually that, unless you've manually adjusted
Phonon's preferences in System Settings, you've got two settings that
clash if you have PulseAudio installed(, too):

1) by default, Phonon ships, in Kubuntu, with ALSA's 'default' virtual
device as the primary;
2) if you somehow have acquired PulseAudio, it starts automatically
("autospawns") whenever an ALSA client attempts to access the
'default' virtual device.

Now, you would think that, given that clients accessing 'default' are
routed through PA, everything is peachy. But this is (obviously) not
the case. Apps can still use the 'plughw' virtual device or the 'hw'
virtual device (the latter of which PulseAudio does, to a degree),
both of which will override/take preference over 'default', which
means that once PA resumes from its two-second idle period (during
which it relinquishes the audio devices), it will find the audio
devices in use and fall back to the dummy/null sink.

This explanation is a very long way of saying the following:

If you use Kubuntu and have PulseAudio installed, you need to
configure Phonon in System Settings to prefer the PulseAudio
output/input for all the profiles, otherwise you're flirting with
disaster! (just joking about disaster, but, well...)

Toni Helenius (toni-helenius) wrote :

Very annoying bug I'd say.
In my point of view this is a duplicate: https://bugs.launchpad.net/ubuntu/+source/amarok/+bug/394999

speedyx (speedyx) on 2009-10-23
description: updated
bigbrovar (bigbrovar) wrote :

This Bug is giving me nightmares!!! its just less than two days to official release yet its has not been assigned or the level of importance has not been decided. Only one application can use sound at a time If am on skype I cant play sound with mpd and and every non kde applications wont be able to play sound. Never had this issue on jaunty. Hope the problem is fixed soon before release cause this is a huge deal breaker

Ben Boeckel (mathstuf) wrote :

Did Karmic switch which Phonon backend is the default? We have an issue in Fedora where if you switch the backend, the settings for the outputs don't match with the other and things break. Maybe the PulseAudio output is not the default under the new mappings?

Daniel T Chen (crimsun) wrote :

On Tue, Oct 27, 2009 at 11:17 PM, Ben Boeckel <email address hidden> wrote:
> Did Karmic switch which Phonon backend is the default? We have an issue

No, it still defaults to ALSA's 'default' virtual device via the Xine backend.

> in Fedora where if you switch the backend, the settings for the outputs
> don't match with the other and things break. Maybe the PulseAudio output
> is not the default under the new mappings?

Neither Kubuntu nor Xubuntu ship PulseAudio, so the Phonon backend
(Xine) does not use PulseAudio by default. [This disconnect is
actually a major reason why things appear to break so often.]

bigbrovar (bigbrovar) wrote :

am just a normal user and I don't have a PhD in sound systems. I just don't want to spend a huge part of my life fixing audio problems. I spent a greater part of Monday trying mpd from different sources (compile from source, installed from debian, jaunty) thinking the poor application was responsible when i noticed it wont play sound. Then i removed amarok when that too wont play sound. Then i spent hours juggling vlc configurations when it wont play sound. I downgraded Skype to the jaunty version when that too wont work. It wasn't until i noticed the issue and made the connection. Only one audio application can be used at a time. And if am running mpd No other audio device (vlc, skype,amarok etc ) would work. This bug is a huge regression and Its a shame its marked as undecided. If canonical are not serious about Kubuntu maybe there should just safe us the hassle and call it quite on the project. Bluetooth has been broken since Intrepid, Jaunty shipped with a borked wireless manager, and now kubuntu karmic sound is broken less than 24 hours to release.

Dima Ryazanov (dima-gmail) wrote :

I have one thing to say: WTF?

I've been reading complaints about PulseAudio for a while, and always thought, "Good thing I'm using Kubuntu, which doesn't have PulseAudio". I guess not anymore?

Everything worked just fine before I upgraded to Karmic. Do you guys have a goal of breaking sound for everyone?

Daniel T Chen (crimsun) wrote :

Careful where you aim that hammer, kiddo.

For what it's worth, bigbrovar's issue was a poorly configured mpd. It had
nothing to do with Kubuntu, PulseAudio, ALSA, or Karmic.

On Nov 4, 2009 2:52 PM, "Dima Ryazanov" <email address hidden> wrote:

I have one thing to say: WTF?

I've been reading complaints about PulseAudio for a while, and always
thought, "Good thing I'm using Kubuntu, which doesn't have PulseAudio".
I guess not anymore?

Everything worked just fine before I upgraded to Karmic. Do you guys
have a goal of breaking sound for everyone?

-- kubuntu Karmic can't output sound at the same time
https://bugs.launchpad.net/bugs/447844 You r...

Dima Ryazanov (dima-gmail) wrote :

I don't know what mpd is, but I'm pretty sure I'm not using it. And yet, I was still having problems - until I uninstalled PulseAudio.

I had problems with Amarok, Flash player, and even aplay. Ok, Phonon might not have been configured correctly (which is still a bug!). Flash player may be broken - it's closed-source, so we don't know what it does. But aplay? What's the excuse here?

So far, the easiest solution to all these problems seems to be to uninstall PulseAudio.

bigbrovar (bigbrovar) wrote :

Has Daniel T Chen rightly noted my issue had nothing to do with kubuntu, it was a problem with the way MPD (Music Player Daemon ) was configured which allowed the application to monopolize my sound output. (MPD is a 3rd party application which is not maintained by ubuntu. ) Anyway I was able to fix my issue by correcting the faulty settings (following DT Chen's tip).

@ Dima Ryazanov I don't know if you are running a clean install of kubuntu ( or you installed the kubuntu-desktop from a gnome install) because pulse audio is not installed on a fresh kubuntu, kde uses phonon with a xine backend. Out of the Box kubuntu doesn't come with pulse audio installed. Sound is very fine now on my laptop. everything works as it should even skype.

Daniel T Chen (crimsun) wrote :

No, the correct (which also happens to be the easiest) resolution is to *use
one audio backend* for all Ubuntu and Ubuntu derivatives/remixes.

It has been an absolute nightmare to carry different configurations because
Kubuntu and Xubuntu don't want PulseAudio. Now, as a user, I understand
(note: I don't necessarily empathize with) the frustration that PA brings,
but with Ubuntu derivatives, this pain has been caused largely by some
packages (mplayer, libao, libsdl, xine-lib, phonon, etc.) shipping the ALSA
backend as default (instead of PA). We wouldn't want to screw up the user
experience of Kubuntu or Xubuntu now would we? Of course this reluctance to
use PA by default means that everyone loses. People who never install
anything that links to PA are fine. People who install Kubuntu or Xubuntu
(or Ubuntu and then kubuntu-desktop or xubuntu-desktop) suddenly get the
impression that everything audio-wise is awry. And it's because of this
desire not to use PA by default! Of course when ALSA apps are configured
such that nothing else could play with them exclusively, when PA tries to do
so, it fails. This is the precise case that I described with mpd and
bigbrovar.

Seriously, I spend a lot of my free time reading complaints instead of
fixing audio, which is originally what I intended to do when I became a core
developer. I waste a lot of time, in fact, explaining that people's concerns
would be addressed more quickly if they stopped resisting the inevitable use
of PA on the desktop. I waste a lot of time answering posts that are not
based in any sort of technical merit, just foolhardy vitriol that does
nothing to actually advance Linux desktop audio.

Well excuse me for trying to improve this situation!

On Nov 5, 2009 1:58 PM, "Dima Ryazanov" <email address hidden> wrote:

I don't know what mpd is, but I'm pretty sure I'm not using it. And yet,
I was still having problems - until I uninstalled PulseAudio.

I had problems with Amarok, Flash player, and even aplay. Ok, Phonon
might not have been configured correctly (which is still a bug!). Flash
player may be broken - it's closed-source, so we don't know what it
does. But aplay? What's the excuse here?

So far, the easiest solution to all these problems seems to be to
uninstall PulseAudio.

-- kubuntu Karmic can't output sound at the same time
https://bugs.launchpad.net/bugs/447844

You received this bug notification because you are a member of Ubuntu Audio
Team, which is subscribe...

Dima Ryazanov (dima-gmail) wrote :

So you're saying PA won't work unless ALL applications suddenly start using PA rather than ALSA? Isn't this a bit unrealistic?

Daniel T Chen (crimsun) wrote :

On Thu, Nov 5, 2009 at 3:31 PM, Dima Ryazanov <email address hidden> wrote:
> So you're saying PA won't work unless ALL applications suddenly start
> using PA rather than ALSA? Isn't this a bit unrealistic?

No, I'm saying that applications must be configured such that they
don't think they're the only things that are important. mpd ships one
such configuration, using hw:0,0 instead of dmix:0. hw:0,0 is *bad*,
because it essentially blocks other apps from working.

In the best of all worlds, PA will coexist with apps configured to use
dmix/dsnoop, which means that PA needs to use dmix/dsnoop, and that
isn't blessed by upstream. However, it is one migration path. [This is
a significant difference to PA upstream, since I do believe that user
experience is important, and while people continue to use ALSA
natively without PA, PA needs to be configured to use dmix/dsnoop. But
I'm not going to break everyone further.]

Niels Ganser (niels.io) wrote :

I niether have PulseAudio installed, nor do I use MPD. Still, I experience the same issue and so far have found no way around it.

Daniel T Chen (crimsun) wrote :

@Niels Open a separate bug using ubuntu-bug alsa-base, and also attach sudo
fuser -v /dev/dsp* /dev/snd/* /dev/seq*

On Nov 6, 2009 9:42 AM, "Niels Ganser" <email address hidden> wrote:

I niether have PulseAudio installed, nor do I use MPD. Still, I
experience the same issue and so far have found no way around it.

-- kubuntu Karmic can't output sound at the same time
https://bugs.launchpad.net/bugs/447844 You r...

rfvuhbtg (rfvuhbtg) wrote :

I had the same problem on Ubuntu 9.10 when both VLC and Amarok were open at the same time. Whichever one was opened first would be able to play sound, and the other one would not. I went into both Amarok and KDE4 systemsettings and changed every sound output preference to prefer PulseAudio above all else (which wasn't the default), and then after closing both programs and reopening them, I was able to get both programs to play sound at the same time. Hope this keeps working.

Vince Young (frink-exp) wrote :

I'm a little late to this conversation, but the topic discussed here is still an ongoing issue in kubuntu lucid.

@Daniel T Chen -- I empathize with you and appreciate the work you do for ubuntu. Can you recommend a setup for a kubuntu user presuming all the apps are configured properly? pulseaudio back-end for phonon? Is it possible for alsa, phonon and pulseaudio and the applications that use them all play nice together? what do you see as a viable, preferably long-term, solution for (k|x)ubuntu users

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers